%   lindifeq.m 

theta1=1.4;
theta2=-.6;


% **********************
% LISTS OF VARIABLES
% AND ASSOCIATED INDICES
% **********************

%   USER INPUT 1: Create lists and load ids
    vlstdifeq
    load iddifeq


%   USER INPUT 2: Specify Location of predetetermined variables

    lpd=[iy1 iy2];  

%   USER INPUT 3: Specify Length of leads in C matrices

    nlead = 0;

% **************** 
% system dimension 
% **************** 

ny=ROWS(ylist);
nx=ROWS(xlist);


% ********************************* %
% DEFINING THE MATRICES A, B AND C  %
% ********************************* %
% 

% Initialize Matrices:

A=zeros(ny,ny);
B=zeros(ny,ny);

for i=0:nlead;
eval(['CF' num2str(i) '=zeros(ny,nx);']);
end

CF=zeros(ny,nx); 

% initialize equation list and equation number
elist=[];
eqn=0;

%
%   USER INPUT 4: Specify Equations    
% 

[elist,eqn]=ADDEQN('FOC:R',elist,eqn);

    B(eqn,iy)=-1;
    B(eqn,iy1)=theta1;
    B(eqn,iy2)=theta2;
    CF0(eqn,ie)=1;
    
[elist,eqn]=ADDEQN('FOC:R',elist,eqn);

    B(eqn,iy)=1;
    A(eqn,iy1)=1;
    
[elist,eqn]=ADDEQN('FOC:R',elist,eqn);

    B(eqn,iy1)=1;
    A(eqn,iy2)=1;
   

    
% **********************
% COMBINE Ci matrcies
% **********************

CF=[];
for i=0:nlead;
loc=eval(['CF' num2str(i)]);
CF=[CF loc];
end


