% rbcspeckkw.m
% Example of a program to plot the power spectrum of filtered 
% time series from a model.


% Specify variance-covariance matrix of innovations.

Vii=[1  0
     0  0];
 
% calculate spectrum on interval (0,pi)
% selecting filter.

[FSD,om]=SPECKW(M,PI,G,Vii);

cpp=om/(2*pi);
ny=ROWS(ylist);

subplot(221),plot(cpp,FSD(ia+ny,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('A. Productivity')
subplot(222),plot(cpp,FSD(in,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('B. Labor')
subplot(223),plot(cpp,FSD(ic,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('C. Consumption')
subplot(224),plot(cpp,FSD(ik,:))
  xlabel('Cycles per period')
  ylabel('power')
  title('D. Capital')
  
pause
subplot
