function ylistT=addbrace(ylist);

% utility to convert standard format ylist
% to one suitable for TeX output, by adding
% _{ at the first available space. Some blanks
% are added to make sure that there is always
% enough available space

[N,L]=size(ylist);
ylist(:,L+1)=' ';
ylist(:,L+2)=' ';


for j=1:N
    yloc=ylist(j,:);
    first=min(findstr(yloc,' '));
    yloc(first:first+1)='_{';
    ylist(j,:)=yloc;
end

ylistT=ylist;
    