function EQNBUGS(A,B,CF,list,mist)

% eqnbugsJkt.m
% Debugging code for linearized equations
% J.K. Thomas
% June 1998

clc;
disp('THE EQUATIONS YOU HAVE ENTERED ARE:  ')
disp(' ')
if (version>=5.0)     
     list = strjust(list,'left'); mist = strjust(mist,'left');
     % Making output tidy / strjust unavailable below ver 5.0
end
[p q] = size(A);
canary = 0;
for i = 1:1:p;		% Checking each equation, one at a time.
     disp(' ')
     canary = canary+1;
     zebra = (['EQN ',num2str(i), ':   ']);
     %_______________________________________________________________________________
     tempA = A(i,:); tempB = B(i,:); tempCF = CF(i,:);
     gusA = 1:1:cols(tempA); gusB = 1:1:cols(tempB); gusCF = 1:1:cols(tempCF); 
     
     tempA = [tempA;gusA]; tempB = [tempB;gusB]; tempCF = [tempCF;gusCF];
     clear gusA gusB gusCF;
     
     okA = tempA(1,1:cols(tempA))~=0; okB = tempB(1,1:cols(tempB))~=0;
     okCF = tempCF(1,1:cols(tempCF))~=0;
     
     ReportA = tempA(:,okA~=0)';
     ReportB = tempB(:,okB~=0)';
     ReportCF = tempCF(:,okCF~=0)';
     clear okA okB okCF tempA tempB tempCF
     
     % top col of ReportA contains nonzero elts of  this row of A
     % 2nd col of ReportA contains col #  where each assoc elt is housed
     
     if size(ReportA)~=[0 0]
          namesA = list(ReportA(:,2),:);	%Names assoc. with non-zero elts    
          ReportA = ReportA(:,1);  			%The non-zero elts themselves
          [rrr ccc] =size(ReportA);
          
          k = 1;
          dog = ReportA(k);
          panda = namesA(k,:);
          if (version>=5.0)     
               panda = deblank(panda);
               % just making output tidy / deblank unavailable below ver 5.0
          end
          zebra = ([zebra num2str(dog),'*',num2str(panda),'(t+1)']);      
          
          if rrr>1;
               for k = 2:rrr;
                    dog = ReportA(k);
                    panda = namesA(k,:);
                    if (version>=5.0)     
                         panda = deblank(panda);
                    end
                    zebra = ([zebra '  +  ',num2str(dog),'*',num2str(panda),'(t+1)']);
               end   
          end
          
     else
         % row of A is all zeros
         zebra=[zebra, '0'];
     end
     
     zebra = [zebra '  =  '];
     
     
     if size(ReportB)~=[0 0]
          namesB = list(ReportB(:,2),:);	%Names assoc. with non-zero elts   
          ReportB = ReportB(:,1);				%The non-zero elts themselves
          [rrr ccc] =size(ReportB);
          
          k = 1;
          dog = ReportB(k);
          panda = namesB(k,:);
          if (version>=5.0)     
               panda = deblank(panda);
          end
          zebra = ([zebra num2str(dog),' * ',num2str(panda),'(t)']);
          
          if rrr>1
               for k = 2:rrr;
                    dog = ReportB(k);
                    panda = namesB(k,:);
                    if (version>=5.0)     
                         panda = deblank(panda);
                    end
                    zebra = ([zebra '  +  ',num2str(dog),' * ',num2str(panda),'(t)']);
               end  
          end 
     end
     
     
     if size(ReportCF)~=[0 0]
          namesCF = mist(ReportCF(:,2),:);		%Names assoc. with non-zero elts
          ReportCF = ReportCF(:,1);				%The non-zero elts themselves
          [rrr ccc] =size(ReportCF);
          
          for k = 1:rrr;
               dog = ReportCF(k);
               panda = namesCF(k,:);
               if (version>=5.0)     
                    panda = deblank(panda);
               end
               zebra = ([zebra '  +  ',num2str(dog),' * ',num2str(panda),'(t)']);
          end   
     end
     %_______________________________________________________________________________
     disp(zebra)
     if (canary==50)
          disp(' ')
          disp('Enter for next group.')
          pause
          canary = 0;
     end
     
end
disp(' ')
