% facvskwsc.m

% *******************************************************
% Selected correlations option for facvkw.m
% *******************************************************

if (opt==2)

% Compute the standard deviations of the variables:

sd = sqrt(diag(FACV(1:rPI,1:rPI)));
tcorr=kron(sd,sd');

nd=1;

while (nd==1)
disp('Available Lags Are:')
lags
tau=input('lag = ')
disp(list)

pr=input('Enter pair of variables: in form [1 2] ')

[z j]=min(abs(lags-abs(tau))); % selects the FACV index corresponding to lag;
j=j-1;

TEMP=FACV(:,j*rPI+1:(j+1)*rPI)./tcorr;

if (tau>=0)
% lag case
disp('tauth order cross-correlation between variables')
disp(['tau = ' num2str(tau)])
disp(list(pr,:))
disp(['correlation is ' num2str(TEMP(pr(1),pr(2)))])
else
% lead case
disp('tauth order cross-correlation between variables')
disp(['tau = ' num2str(tau)])
disp(list(pr,:))
disp(['correlation is ' num2str(TEMP(pr(2),pr(1)))])
end

nd=input('Look at another (1) or quit (2) ')
end
